<h4><%= t('.title') %></h4>

<table data-tablesort='true' data-toggle="tablesort" class="tablesorter">
  <thead>
    <tr>
      <th><%#= Tools::Team.human_attribute_name :profil %></th>
      <th><%= Person.human_attribute_name :lastname %></th>
      <th><%= Person.human_attribute_name :firstname %></th>
      <th><%= Person.human_attribute_name :email %></th>
      <th><%= Person.human_attribute_name :adress %></th>
      <th><%= Person.human_attribute_name :phone %></th>
      <th><%= Person.human_attribute_name :moreinfo %></th>
      <!-- <th style='width: 60px;'></th> -->
    </tr>
  </thead>

  <% Profil.all.each do |profil| %>
    <tbody>
      <tr>
        <td colspan="7" class='task-cause-line'>
          <%= profil.name %>
          <% if profil.profil_modifiable %>
            <%= link_to fa_icon_add, new_tools_team_path(tools_team: {rca_id: @rca.id,
                                                                      tool_reference: @step_tool.tool_reference,
                                                                      tool_num: @step_tool.tool_num,
                                                                      profil_id: profil.id}),
                                     remote: true %>
          <% end %>
        </td>
      </tr>
      <% @tools_teams.where(profil: profil,
                            tool_reference: @step_tool.tool_reference,
                            tool_num: @step_tool.tool_num).includes(person: [:user]).each do |tools_team| %>
        <tr>
          <td></td>
          <td><%= tools_team.person.lastname %></td>
          <td><%= tools_team.person.firstname %></td>
          <td><%= tools_team.person.the_email %></td>
          <td><%= tools_team.person.adress %></td>
          <td><%= tools_team.person.phone %></td>
          <td><%= tools_team.person.moreinfo %></td>
          <td style='border: none; width: 50px;'>
            <%= link_to fa_icon_edit, edit_tools_team_path(tools_team), remote: true if profil.profil_modifiable %>
            <%= link_to fa_icon_delete, tools_team, method: :delete, data: { confirm: t('confirm.sure') } if profil.profil_modifiable %>
          </td>
        </tr>
      <% end %>
    </tbody>
  <% end %>
</table>

<br>

<%#= link_to t('.new'), new_tools_team_path(tools_team: {rca_id: @rca.id}), class: 'btn btn-primary' %>
